org.richfaces.component

## Enum UINotifyStack.Properties

- java.lang.Object
- - java.lang.Enum<UINotifyStack.Properties>
  - - org.richfaces.component.UINotifyStack.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UINotifyStack.Properties>
  Enclosing class:
    UINotifyStack

      protected static enum UINotifyStack.Properties
      extends Enum<UINotifyStack.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `direction`
    `method`
    `position`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UINotifyStack.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UINotifyStack.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### direction

          public static final UINotifyStack.Properties direction

    - #### method

          public static final UINotifyStack.Properties method

    - #### position

          public static final UINotifyStack.Properties position

  - ### Method Detail

    - #### values

          public static UINotifyStack.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UINotifyStack.Properties c : UINotifyStack.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UINotifyStack.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.